org.apache.solr.spelling.suggest

## Class LookupFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.LookupFactory

- Direct Known Subclasses:
    AnalyzingInfixLookupFactory, AnalyzingLookupFactory, FreeTextLookupFactory, FSTLookupFactory, FuzzyLookupFactory, JaspellLookupFactory, TSTLookupFactory, WFSTLookupFactory

      public abstract class LookupFactory
      extends Object

  Suggester factory for creating `Lookup` instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_FILE_BASED_DICT` Default lookup implementation to use for SolrSuggester

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LookupFactory()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Lookup` | `create(NamedList params, SolrCore core)` Create a Lookup using config options in `params` and current `core`
    `protected static FSDirectory` | `getTempDir()`
    `abstract String` | `storeFileName()` Returns the filename in which the in-memory data structure is stored

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FILE_BASED_DICT

          public static String DEFAULT_FILE_BASED_DICT

      Default lookup implementation to use for SolrSuggester

  - ### Constructor Detail

    - #### LookupFactory

          public LookupFactory()

  - ### Method Detail

    - #### create

          public abstract Lookup create(NamedList params,
                                        SolrCore core)

      Create a Lookup using config options in `params` and current `core`

    - #### storeFileName

          public abstract String storeFileName()

      Returns the filename in which the in-memory data structure is stored

      NOTE: not all `Lookup` implementations store in-memory data structures

    - #### getTempDir

          protected static FSDirectory getTempDir()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.